Subject: bug#40821: Margin strings are displayed in reverse order of overlay priority (low-priority specs hide high-priority ones)

From: Dmitry Gutov <[email-masked]>
Date: Sat, 25 Apr 2020 22:29:41 +0300

On 25.04.2020 20:36, Eli Zaretskii wrote:
> I can only reiterate my suggestion: don't rely on the display engine
> to solve the problems in such cases.  The best solution is for the
> Lisp program to apply its logic and put only the overlays it needs.

I'd like to remind of a longer wishlist item: some infrastructure to 
help different modes use margins (or fringes) on the same line together, 
with predictable results and without stepping on each other's toes.